Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.audit
Class AuditStreamIDFactory

    java.lang.Object
      org.jivesoftware.openfire.audit.AuditStreamIDFactory

All Implemented Interfaces:
  StreamIDFactory

    public class AuditStreamIDFactory

extends Object
implements StreamIDFactory

Factory for producing audit stream IDs. We use a factory so that audit information can be identified using an appropriate storage key (typically a long for RDBMS).

Author:
  Iain Shigeoka

Constructor Summary
`AuditStreamIDFactory()`

Method Summary
`StreamID` | `createStreamID()` Generate a stream id.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditStreamIDFactory

    public AuditStreamIDFactory()

Method Detail

### createStreamID

    public StreamID createStreamID()

  Description copied from interface: `StreamIDFactory`
  Generate a stream id.

  Specified by:
    `createStreamID` in interface `StreamIDFactory`
  Returns:
    A new, unique stream id

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.